<template>
  <div>
    <span v-if="availableSources.availableScores > 0">
      <v-icon class="ma-0" size="small">
        mdi-music-note
      </v-icon>
      <span v-if="availableSources.availableScores > 1" class="sources-count">
        {{ availableSources.availableScores }}
      </span>
    </span>
    <!--
      <span v-if="availableSources.availableSources > 0">
      <v-icon class="ma-0" size="small">
      mdi-image
      </v-icon>
      <span v-if="availableSources.availableSources > 1">
      {{ availableSources.availableSources }}
      </span>
      </span>
    -->
    <span v-if="availableSources.availableTracks > 0">
      <v-icon v-if="availableSources.audioQuality > 3" class="ma-0" size="small">
        mdi-headset
      </v-icon>
      <v-icon v-else class="ma-0 low-quality" size="small">
        mdi-headset
      </v-icon>
      <span v-if="availableSources.availableTracks > 1" class="sources-count">
        {{ availableSources.availableTracks }}
      </span>
    </span>
    <!--
      <span v-if="availableSources.availableWaves > 0">
      <v-icon class="ma-0" size="small">
      mdi-waveform
      </v-icon>
      <span v-if="availableSources.availableWaves > 1">
      {{ availableSources.availableWaves }}
      </span>
      </span>
    -->
    <span v-if="availableSources.curatedAnalyses > 0">
      <v-icon class="ma-0" size="small">
        mdi-wall-sconce-flat-variant
      </v-icon>
      <span v-if="availableSources.curatedAnalyses > 1" class="sources-count">
        {{ availableSources.curatedAnalyses }}
      </span>
    </span>
  </div>
</template>

<script lang="ts">
import { Component, Prop, Vue } from 'vue-property-decorator';

interface AvailableSources {
  availableScores: number;
  availableSources: number;
  availableTracks: number;
  availableWaves: number;
  curatedAnalyses: number;
}

@Component
export default class CorpusTableAvailableSources extends Vue {
  @Prop({ required: true })
  availableSources!: AvailableSources;
}
</script>

<style scoped lang="scss">
.sources-count {
  font-size: 60%;
  margin-left: -3px;
  color: rgba(0, 0, 0, 0.6);
  vertical-align: super;
}

.low-quality {
  color: rgba(0, 0, 0, 0.2);
}
</style>
